package list

import (
	"github.com/spf13/cobra"

	"gitea.libretechconsulting.com/50W/eia-api-go/cmd/eia-client/internal/util"
)

var ListCmd = &cobra.Command{
	Use:    "list <name>",
	Args:   cobra.RangeArgs(0, 1),
	Short:  "List Available EIA Series",
	PreRun: util.SetClient,
	Run:    runListCmd,
}

func runListCmd(cmd *cobra.Command, _ []string) {
	logger := util.Logger(cmd)
	client, err := util.Client(cmd)
	if err != nil {
		logger.Fatal().Err(err).Send()
	}

	ctx, cncl := util.RequestCtx(cmd)
	defer cncl()
	resp, err := client.GetV2(ctx)
	if err != nil {
		logger.Err(err).Send()
	}

	logger.Debug().Any("resp", resp).Send()
}
